Skip to main content
`Ctrl`+`K`

# DMPlexInsertTimeDerivativeBoundaryValues

Puts coefficients which represent boundary values of the time derivative into the local solution vector

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInsertTimeDerivativeBoundaryValues(DM dm, PetscBool insertEssential, Vec locX_t, PetscReal time, Vec faceGeomFVM, Vec cellGeomFVM, Vec gradFVM)

## Input Parameters

- dm - The `DM`

- insertEssential - Should I insert essential (e.g. Dirichlet) or inessential (e.g. Neumann) boundary conditions

- time - The time

- faceGeomFVM - Face geometry data for FV discretizations

- cellGeomFVM - Cell geometry data for FV discretizations

- gradFVM - Gradient reconstruction data for FV discretizations

## Output Parameter

- locX_t - Solution updated with boundary values

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMProjectFunctionLabelLocal()`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

## Implementations

DMPlexInsertTimeDerivativeBoundaryValues_Plex() in src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages